Subject: [Tsvwg] Fwd: [draft-ietf-tsvwg-port-randomization] Lazy binding?

From: Fernando Gont <[email-masked]>
Date: Wed, 27 Aug 2008 15:38:22 -0300

Folks,

We received these comments (off-list) on the port randomization 
draft. I am posting them on this list, as agreed by Stephane.

Thanks!
Fernando

>Date: Sat, 26 Jul 2008 09:40:16 +0200
>From: Stephane Bortzmeyer <[email-masked]>
>To: Michael Vittrup Larsen <[email-masked]>,
>         Fernando Gont <[email-masked]>
>Cc: [email-masked]
>Subject: [draft-ietf-tsvwg-port-randomization] Lazy binding?
>
>In draft-ietf-tsvwg-port-randomization-01, you write there is a
>problematic case here:
>
>
>bind(s, I_address, port = *);
>
>Figure 6
>
>The code sequence results in the selection of an ephemeral port
>number. However, as neither the remote IP address nor the remote port
>will be available...
>
>
>
>Why not using lazy binding? You do not need to select the port number
>at the time of bind(), the kernel can wait until connect() or send().
>
>I just tested on a Linux box and the sin_port field is set to zero
>just after the bind() which indicates that Linux indeed does it.

--
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1